summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorgammafn2020-09-21 13:09:58 -0500
committergammafn2020-09-21 13:09:58 -0500
commit4e6ca990ed08a6891a4ad1ad01a53c887fbad1cb (patch)
tree103677ecc2121e368bd0a45ae5d6f0da2078286c
downloadaur-4e6ca990ed08a6891a4ad1ad01a53c887fbad1cb.tar.gz
Initial commit
-rw-r--r--.SRCINFO17
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD29
3 files changed, 50 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..9c2c86a4cb6
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = bwutil-git
+ pkgdesc = A wrapper for bitwarden
+ pkgver = r27.0b4c688
+ pkgrel = 1
+ url = https://github.com/xPMo/bwutils
+ arch = any
+ license = MIT
+ depends = zsh
+ depends = bitwarden-cli
+ optdepends = keyutils: Save BW_SESSION in kernel keyring
+ provides = bwutil
+ conflicts = bwutil
+ source = bwutil-git::git+https://github.com/xPMo/bwutils
+ sha512sums = SKIP
+
+pkgname = bwutil-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..018a3de0814
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+*
+!PKGBUILD
+!.SRCINFO
+!.gitignore
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2b618c919d7
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Gamma <GammaFunction@vivaldi.net>
+pkgname=bwutil-git
+pkgver=r27.0b4c688
+pkgrel=1
+license=('MIT')
+pkgdesc='A wrapper for bitwarden'
+url='https://github.com/xPMo/bwutils'
+arch=('any')
+provides=('bwutil')
+conflicts=('bwutil')
+depends=('zsh' 'bitwarden-cli')
+optdepends=('keyutils: Save BW_SESSION in kernel keyring')
+source=("${pkgname}::git+${url}")
+sha512sums=('SKIP')
+
+pkgver () {
+ cd "${pkgname}"
+ (
+ set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package () {
+ cd "${pkgname}"
+ install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ PREFIX="${pkgdir}/usr" make install
+}